diff mbox series

[nft] tests/shell: Add back named_interval_automerging_0

Message ID 20180120132101.14921-1-phil@nwl.cc
State Accepted
Delegated to: Pablo Neira
Headers show
Series [nft] tests/shell: Add back named_interval_automerging_0 | expand

Commit Message

Phil Sutter Jan. 20, 2018, 1:21 p.m. UTC
Change the test to expect no automerging since it was disabled recently.

Signed-off-by: Phil Sutter <phil@nwl.cc>
---
 tests/shell/testcases/sets/0002named_interval_automerging_0 | 12 ++++++++++++
 1 file changed, 12 insertions(+)
 create mode 100755 tests/shell/testcases/sets/0002named_interval_automerging_0

Comments

Pablo Neira Ayuso Jan. 25, 2018, 7:53 p.m. UTC | #1
On Sat, Jan 20, 2018 at 02:21:01PM +0100, Phil Sutter wrote:
> Change the test to expect no automerging since it was disabled recently.

Applied, thanks Phil.
--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
diff mbox series

Patch

diff --git a/tests/shell/testcases/sets/0002named_interval_automerging_0 b/tests/shell/testcases/sets/0002named_interval_automerging_0
new file mode 100755
index 0000000000000..688986387d177
--- /dev/null
+++ b/tests/shell/testcases/sets/0002named_interval_automerging_0
@@ -0,0 +1,12 @@ 
+#!/bin/bash
+
+# This testscase checks the automerging of adjacent intervals
+
+set -e
+
+$NFT add table t
+$NFT add set t s { type ipv4_addr \; flags interval \; }
+$NFT add element t s { 192.168.0.0/24, 192.168.1.0/24 }
+$NFT list ruleset | grep "192.168.0.0/23" >/dev/null || exit 0
+echo "E: automerging of adjacent intervals happened unexpectedly." >&2
+exit 1